For quick access to related information in another file or on a web page, you can insert a hyperlink in a worksheet cell.
You can set hyperlink by using setHyperlink, for example:
If you want to get the hyperlink data of a cell, you can use getHyperlink, for example:
The hyperlink has these keys:
Key
Value Type
Explain
url
string
Indicates the location that the hyperlink points to. Our hyperlink supports many protocols, such as: http/https/ftp/file/mailto... Besides, we also support url start with "sjs://" which referer to a worksheet location.
tooltip
string
Indicates the tooltip message which shows when hovering over the cell with a hyperlink.
linkColor
string
Indicates the foreColor before the link visited. Default is #0066cc.
visitedLinkColor
string
Indicates the foreColor after the link visited. Default is #3399ff.
target
number
Indicates the way that the user opens the hyperlinked document. Default is 0 /* blank */.
drawUnderline
boolean
Indicates whether to draw the underline for the cell have hyperlink. Default is true.
command
string | function
Indicates the behavior when clicking the hyperlink rather than default opening url.
If you type a link to a cell, we also support auto create the hyperlink for you.
There is a option allowAutoCreateHyperlink in spread options.
We support to auto create hyperlink by default.
If you don't like this, you can set allowAutoCreateHyperlink to false.
window.onload = initFunction;
function initFunction() {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), {sheetCount: 1});
var sheet = spread.getActiveSheet();
spread.suspendPaint();
sheet.setText(1, 1, 'SpreadJS Demo Link');
sheet.setText(2, 1, 'https://developer.mescius.com/spreadjs/demos');
var hyperlinkForUrl = {};
hyperlinkForUrl.url = 'https://developer.mescius.com/spreadjs/demos';
sheet.setHyperlink(2, 1, hyperlinkForUrl);
sheet.setText(5, 1, 'Link with tooltip');
sheet.setText(6, 1, 'https://developer.mescius.com/spreadjs/demos');
var hyperlinkForTooltip = {};
hyperlinkForTooltip.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForTooltip.tooltip = 'SpreadJS Demos';
sheet.setHyperlink(6, 1, hyperlinkForTooltip);
sheet.setText(9, 1, 'Change link foreColor');
sheet.setText(10, 1, 'https://developer.mescius.com/spreadjs/demos');
var hyperlinkForForeColor = {};
hyperlinkForForeColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForForeColor.tooltip = 'SpreadJS Demos';
hyperlinkForForeColor.linkColor = 'red';
sheet.setHyperlink(10, 1, hyperlinkForForeColor);
sheet.setText(13, 1, 'Change link visited color');
sheet.setText(14, 1, 'https://developer.mescius.com/spreadjs/demos');
var hyperlinkForVisitedColor = {};
hyperlinkForVisitedColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForVisitedColor.tooltip = 'SpreadJS Demos';
hyperlinkForVisitedColor.visitedLinkColor = 'green';
sheet.setHyperlink(14, 1, hyperlinkForVisitedColor);
sheet.setText(17, 1, 'Link without underline');
sheet.setText(18, 1, 'https://developer.mescius.com/spreadjs/demos');
var hyperlinkWithoutUnderline = {};
hyperlinkWithoutUnderline.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkWithoutUnderline.tooltip = 'SpreadJS Demos';
hyperlinkWithoutUnderline.drawUnderline = false;
sheet.setHyperlink(18, 1, hyperlinkWithoutUnderline);
var hyperlinkButtonElement = document.getElementById('setHyperlinkButton');
hyperlinkButtonElement.onclick = function (e) {
var hyperlink = {};
hyperlink.url = document.getElementById('hyperlinkURL').value;
hyperlink.tooltip = document.getElementById('tooltip').value;
hyperlink.linkColor = document.getElementById('linkColor').value;
if (hyperlink.linkColor === "") {
hyperlink.linkColor = undefined;
}
hyperlink.visitedLinkColor = document.getElementById('visitedLinkColor').value;
if (hyperlink.visitedLinkColor === "") {
hyperlink.visitedLinkColor = undefined;
}
hyperlink.target = document.getElementById('hyperlinkTarget').value;
hyperlink.drawUnderline = document.getElementById('drawUnderline').checked;
var row = sheet.getActiveRowIndex();
var col = sheet.getActiveColumnIndex();
sheet.setHyperlink(row, col, hyperlink);
sheet.setValue(row, col, hyperlink.tooltip);
};
var allowAutoCreateHyperlinkElement = document.getElementById('allowAutoCreateHyperlink');
allowAutoCreateHyperlinkElement.checked = true;
allowAutoCreateHyperlinkElement.onchange = function (e) {
spread.options.allowAutoCreateHyperlink = e.target.checked;
};
spread.resumePaint();
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<strong class="sp-demo-HeaderTitle">Settings:</strong>
<P style="padding:2px 10px">Set the hyperlink data for a cell:</P>
<fieldset>
<div id="settingsDiv" style="margin-top: 10px">
<div class="option-row">
<label for="hyperlinkURL">URL:</label>
<input type="text" id="hyperlinkURL" placeholder="https://developer.mescius.com/">
</div>
<div class="option-row">
<label for="tooltip">Tooltip:</label>
<input type="text" id="tooltip" placeholder="MESCIUS">
</div>
<div class="option-row">
<label for="linkColor">Link Color:</label>
<input type="text" id="linkColor" placeholder="#0066cc">
</div>
<div class="option-row">
<label for="visitedLinkColor">Visited Link Color:</label>
<input type="text" id="visitedLinkColor" placeholder="#3399ff">
</div>
<div class="option-row">
<label for="hyperlinkTarget">Target:</label>
<select id="hyperlinkTarget"
name="hyperlinkTarget">
<option value="0">blank</option>
<option value="1">self</option>
<option value="2">parent</option>
<option value="3">top</option>
</select>
</div>
<div class="option-row">
<label for="drawUnderline">Draw Underline:</label>
<input type="checkbox" id="drawUnderline">
</div>
<div class="option-row">
<button id="setHyperlinkButton">Set Hyperlink</button>
</div>
</div>
</fieldset>
<div style="margin-top: 10px">
<div class="option-row">
<label for="allowAutoCreateHyperlink">Allow auto create hyperlink:</label>
<input id="allowAutoCreateHyperlink" type="checkbox">
</div>
</div>
</div>
</div></body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-container legend {
text-align: center;
}
.option-row {
font-size: 14px;
padding: 5px;
}
input {
display:block;
width: 100%;
margin: 8px 0;
box-sizing: border-box;
}
label, input {
padding: 4px 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#drawUnderline {
display: inline-block;
width: 30px;
}
#drawUnderlineLabel {
display: inline-block;
}
#allowAutoCreateHyperlink {
display: inline-block;
width: 30px;
}
#setHyperlinkButton {
font-weight: bold;
background-color: #ecf3ff;
width: 200px;
height: 35px;
border-radius: 4px;
border-color: #0b93d5;
border-width: thin;
}

For quick access to related information in another file or on a web page, you can insert a hyperlink in a worksheet cell.
You can set hyperlink by using setHyperlink, for example:
If you want to get the hyperlink data of a cell, you can use getHyperlink, for example:
The hyperlink has these keys:
Key
Value Type
Explain
url
string
Indicates the location that the hyperlink points to. Our hyperlink supports many protocols, such as: http/https/ftp/file/mailto... Besides, we also support url start with "sjs://" which referer to a worksheet location.
tooltip
string
Indicates the tooltip message which shows when hovering over the cell with a hyperlink.
linkColor
string
Indicates the foreColor before the link visited. Default is #0066cc.
visitedLinkColor
string
Indicates the foreColor after the link visited. Default is #3399ff.
target
number
Indicates the way that the user opens the hyperlinked document. Default is 0 /* blank */.
drawUnderline
boolean
Indicates whether to draw the underline for the cell have hyperlink. Default is true.
command
string | function
Indicates the behavior when clicking the hyperlink rather than default opening url.
If you type a link to a cell, we also support auto create the hyperlink for you.
There is a option allowAutoCreateHyperlink in spread options.
We support to auto create hyperlink by default.
If you don't like this, you can set allowAutoCreateHyperlink to false.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet :autoGenerateColumns="autoGenerateColumns"></gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<strong class="sp-demo-HeaderTitle">Settings:</strong>
<p id="settingString">Set the hyperlink data for a cell:</p>
<fieldset>
<div id="settingsDiv">
<div class="option-row">
<label for="hyperlinkURL">URL:</label>
<input type="text" id="hyperlinkURL" placeholder="https://developer.mescius.com/" />
</div>
<div class="option-row">
<label for="tooltip">Tooltip:</label>
<input type="text" id="tooltip" placeholder="MESCIUS" />
</div>
<div class="option-row">
<label for="linkColor">Link Color:</label>
<input type="text" id="linkColor" placeholder="#0066cc" />
</div>
<div class="option-row">
<label for="visitedLinkColor">Visited Link Color:</label>
<input type="text" id="visitedLinkColor" placeholder="#3399ff" />
</div>
<div class="option-row">
<label for="hyperlinkTarget">Target:</label>
<select id="hyperlinkTarget" name="hyperlinkTarget">
<option value="0">blank</option>
<option value="1">self</option>
<option value="2">parent</option>
<option value="3">top</option>
</select>
</div>
<div class="option-row">
<label for="drawUnderline">Draw Underline:</label>
<input type="checkbox" id="drawUnderline" />
</div>
<div class="option-row">
<button id="setHyperlinkButton" @click="setHyperlinkButtonClicked($event)">Set Hyperlink</button>
</div>
</div>
</fieldset>
<div id="allowAutoCreateHyperlinkDiv">
<div class="option-row">
<label for="allowAutoCreateHyperlink">Allow auto create hyperlink:</label>
<input id="allowAutoCreateHyperlink" type="checkbox" @change="allowAutoCreateHyperlink($event)"
checked="checked" />
</div>
</div>
</div>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue'
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
let spreadRef;
const autoGenerateColumns = ref(true);
function initSpread(spread) {
spreadRef = spread;
spread.suspendPaint();
let sheet = spread.getActiveSheet();
sheet.setText(1, 1, "SpreadJS Demo Link");
sheet.setText(2, 1, "https://developer.mescius.com/spreadjs/demos");
let hyperlinkForUrl = {};
hyperlinkForUrl.url = "https://developer.mescius.com/spreadjs/demos";
sheet.setHyperlink(2, 1, hyperlinkForUrl);
sheet.setText(5, 1, "Link with tooltip");
sheet.setText(6, 1, "https://developer.mescius.com/spreadjs/demos");
let hyperlinkForTooltip = {};
hyperlinkForTooltip.url = "https://developer.mescius.com/spreadjs/demos";
hyperlinkForTooltip.tooltip = "SpreadJS Demos";
sheet.setHyperlink(6, 1, hyperlinkForTooltip);
sheet.setText(9, 1, "Change link foreColor");
sheet.setText(10, 1, "https://developer.mescius.com/spreadjs/demos");
let hyperlinkForForeColor = {};
hyperlinkForForeColor.url = "https://developer.mescius.com/spreadjs/demos";
hyperlinkForForeColor.tooltip = "SpreadJS Demos";
hyperlinkForForeColor.linkColor = "red";
sheet.setHyperlink(10, 1, hyperlinkForForeColor);
sheet.setText(13, 1, "Change link visited color");
sheet.setText(14, 1, "https://developer.mescius.com/spreadjs/demos");
let hyperlinkForVisitedColor = {};
hyperlinkForVisitedColor.url = "https://developer.mescius.com/spreadjs/demos";
hyperlinkForVisitedColor.tooltip = "SpreadJS Demos";
hyperlinkForVisitedColor.visitedLinkColor = "green";
sheet.setHyperlink(14, 1, hyperlinkForVisitedColor);
sheet.setText(17, 1, "Link without underline");
sheet.setText(18, 1, "https://developer.mescius.com/spreadjs/demos");
let hyperlinkWithoutUnderline = {};
hyperlinkWithoutUnderline.url = "https://developer.mescius.com/spreadjs/demos";
hyperlinkWithoutUnderline.tooltip = "SpreadJS Demos";
hyperlinkWithoutUnderline.drawUnderline = false;
sheet.setHyperlink(18, 1, hyperlinkWithoutUnderline);
spread.resumePaint();
}
function setHyperlinkButtonClicked(e) {
spreadRef.suspendPaint();
let hyperlink = {};
let sheet = spreadRef.getActiveSheet();
hyperlink.url = document.getElementById('hyperlinkURL').value;
hyperlink.tooltip = document.getElementById('tooltip').value;
hyperlink.linkColor = document.getElementById('linkColor').value;
if (hyperlink.linkColor === "") {
hyperlink.linkColor = undefined;
}
hyperlink.visitedLinkColor = document.getElementById('visitedLinkColor').value;
if (hyperlink.visitedLinkColor === "") {
hyperlink.visitedLinkColor = undefined;
}
hyperlink.target = document.getElementById('hyperlinkTarget').value;
hyperlink.drawUnderline = document.getElementById('drawUnderline').checked;
let row = sheet.getActiveRowIndex();
let col = sheet.getActiveColumnIndex();
sheet.setHyperlink(row, col, hyperlink);
sheet.setValue(row, col, hyperlink.tooltip);
spreadRef.resumePaint();
}
function allowAutoCreateHyperlink (e) {
spreadRef.suspendPaint();
spreadRef.options.allowAutoCreateHyperlink = e.target.checked;
spreadRef.resumePaint();
}
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-container legend {
text-align: center;
}
.option-row {
font-size: 14px;
padding: 5px;
}
input {
display: block;
width: 100%;
margin: 8px 0;
box-sizing: border-box;
}
label,
input {
padding: 4px 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
#drawUnderline {
display: inline-block;
width: 30px;
}
#drawUnderlineLabel {
display: inline-block;
}
#allowAutoCreateHyperlink {
display: inline-block;
width: 30px;
}
#setHyperlinkButton {
font-weight: bold;
background-color: #ecf3ff;
width: 200px;
height: 35px;
border-radius: 4px;
border-color: #0b93d5;
border-width: thin;
}
#settingsDiv {
margin-top: "10px"
}
#settingString {
padding: "2px 10px
}
#allowAutoCreateHyperlinkDiv {
margin-top: "10px"
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
export function getData() {
return [{
"Country": "United Kingdom",
"State": "England",
"City": "Basildon",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "London",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "Manchester",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "London",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "Newbury",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "Kemble",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "Headley",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "Southampton",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "Cheltenham",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United Kingdom",
"State": "England",
"City": "Bournemouth",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United Kingdom",
"State": "Northern Ireland",
"City": "Helens Bay",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "MO",
"City": "Parkville",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "OR",
"City": "Astoria",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "AL",
"City": "Cahaba Heights",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "NJ",
"City": "Mickleton",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "NJ",
"City": "Riverside",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United States",
"State": "NJ",
"City": "Clinton",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "United States",
"State": "IL",
"City": "Peoria",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "IL",
"City": "Morton",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "United States",
"State": "IL",
"City": "Flossmoor",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "United States",
"State": "IL",
"City": "Genoa",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "TN",
"City": "Martin",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "TN",
"City": "Memphis",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "United States",
"State": "NY",
"City": "New York",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "NY",
"City": "New York",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "NY",
"City": "New York",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "United States",
"State": "NY",
"City": "Brooklyn",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "United States",
"State": "NY",
"City": "New Rochelle",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "NY",
"City": "Staten Island",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "TX",
"City": "Shavano Park",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "TX",
"City": "Sugar Land",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "TX",
"City": "Houston",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "TX",
"City": "Houston",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "TX",
"City": "Lakewood Village",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "ID",
"City": "Eagle",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "UT",
"City": "Salt Lake City",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "CA",
"City": "Chula Vista",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "CA",
"City": "Los Gatos",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "CA",
"City": "Santa Monica",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "CA",
"City": "Irvine",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "CA",
"City": "San Francisco",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "United States",
"State": "FL",
"City": "Miami",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "FL",
"City": "Delray Beach",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United States",
"State": "FL",
"City": "Fort Lauderdale",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "United States",
"State": "FL",
"City": "Amelia Island",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "FL",
"City": "Coral Gables",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "FL",
"City": "Miami",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United States",
"State": "FL",
"City": "Parkland",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "VA",
"City": "Reston",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "VA",
"City": "Keller",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United States",
"State": "VA",
"City": "Keller",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "AZ",
"City": "Phoenix",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United States",
"State": "VT",
"City": "Pittsfield",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "VT",
"City": "Pittsfield",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "GA",
"City": "Ball Ground",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "United States",
"State": "GA",
"City": "Sandy Springs",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "IA",
"City": "Ankeny",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "NC",
"City": "Pittsboro",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "OH",
"City": "Beachwood",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "OH",
"City": "Cincinnati",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "NH",
"City": "W Lebanon",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "MD",
"City": "Woodsboro",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United States",
"State": "Michigan",
"City": "Farmington",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "United States",
"State": "HI",
"City": "Honolulu",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "United States",
"State": "CO",
"City": "Englewood",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "United States",
"State": "KY",
"City": "Owensboro",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "Australia",
"State": "Victoria",
"City": "Echuca",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "Australia",
"State": "Victoria",
"City": "Melbourne",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "Australia",
"State": "Queensland",
"City": "Burpengary",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Australia",
"State": "Queensland",
"City": "Gold Coast",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "Israel",
"State": "Tel Aviv",
"City": "Tel Aviv",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "France",
"State": "Ile-de-France",
"City": "Chatou",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "France",
"State": "Upper Normandy",
"City": "Rouen",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Netherlands",
"State": "Noord-Brabant",
"City": "Eindhoven",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Netherlands",
"State": "Noord-Holland",
"City": "Badhoevedorp",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "Ireland",
"State": "Meath",
"City": "Julianstown",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Ireland",
"State": "Cork",
"City": "Ballynora",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Ireland",
"State": "Dublin",
"City": "Kinsaley",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Ireland",
"State": "Dublin",
"City": "Rathgar",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "Canada",
"State": "Ontario",
"City": "Ottawa",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "Canada",
"State": "Ontario",
"City": "Belleville",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "Canada",
"State": "Ontario",
"City": "Alliston",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "Canada",
"State": "British Columbia",
"City": "Maple Ridge District Municipality",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Canada",
"State": "British Columbia",
"City": "Comox",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Canada",
"State": "British Columbia",
"City": "Vancouver",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "Canada",
"State": "British Columbia",
"City": "Vancouver",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "Canada",
"State": "British Columbia",
"City": "Tsawwassen",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "Canada",
"State": "Saskatchewan",
"City": "Prince Albert",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Canada",
"State": "Alberta",
"City": "Red Deer",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Canada",
"State": "Alberta",
"City": "Calgary",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "Canada",
"State": "Alberta",
"City": "Calgary",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "Canada",
"State": "Alberta",
"City": "Okotoks",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "India",
"State": "Andhra Pradesh",
"City": "Hyderabad",
"Product": "Teddy Grahams Crackers",
"Detail": "Honey 10-Ounce Boxes 6-Pack"
}, {
"Country": "South Africa",
"State": "Gauteng",
"City": "Roodepoort",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Finland",
"State": "Ita-Suomen Laani",
"City": "Kuopio",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "Switzerland",
"State": "Geneve",
"City": "Vesenaz",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "Switzerland",
"State": "Vaud",
"City": "Lausanne",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Switzerland",
"State": "Vaud",
"City": "Morges",
"Product": "Kraft Real Mayo",
"Detail": "30 Ounces"
}, {
"Country": "Denmark",
"State": "Frederiksborg",
"City": "Helsingor",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "Denmark",
"State": "Kobenhavn",
"City": "Kobenhavn",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "Denmark",
"State": "Storstrom",
"City": "Nakskov",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "Belgium",
"State": "Brussels (Bruxelles)",
"City": "Brussels",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Sweden",
"State": "Stockholm",
"City": "Saltsjobaden",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "Norway",
"State": "Rogaland",
"City": "Stavanger",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Norway",
"State": "Oslo",
"City": "Oslo",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "Luxembourg",
"State": "Luxembourg",
"City": "Gasperich",
"Product": "Planters Deluxe Whole Cashew",
"Detail": "18.25 Ounce"
}, {
"Country": "Italy",
"State": "Lombardy",
"City": "Milan",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Germany",
"State": "Nordrhein-Westfalen",
"City": "Telgte",
"Product": "Jaybee's Gourmet Nuts Gift Pack (3 Lb)",
"Detail": "Premium Quality Nuts Elegant Design Vegetarian Friendly & Kosher"
}, {
"Country": "Moldova",
"State": "Chisinau",
"City": "Bubuieci",
"Product": "Smartfood Popcorn",
"Detail": "White Cheddar 9 Ounce"
}, {
"Country": "Spain",
"State": "Murcia",
"City": "La Alberca",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}, {
"Country": "United Arab Emirates",
"State": "Dubayy",
"City": "Jumeira",
"Product": "KIND Bars Almond & Coconut Gluten Free",
"Detail": "1.4 Ounce Bars 12 Count"
}, {
"Country": "Bahrain",
"State": "Al Manamah",
"City": "Al 'Adliyah",
"Product": "Kraft Grated Parmesan Cheese",
"Detail": "24 oz"
}];
}
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'cdn:@mescius/spread-sheets-vue/index.js',
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

For quick access to related information in another file or on a web page, you can insert a hyperlink in a worksheet cell.
You can set hyperlink by using setHyperlink, for example:
If you want to get the hyperlink data of a cell, you can use getHyperlink, for example:
The hyperlink has these keys:
Key
Value Type
Explain
url
string
Indicates the location that the hyperlink points to. Our hyperlink supports many protocols, such as: http/https/ftp/file/mailto... Besides, we also support url start with "sjs://" which referer to a worksheet location.
tooltip
string
Indicates the tooltip message which shows when hovering over the cell with a hyperlink.
linkColor
string
Indicates the foreColor before the link visited. Default is #0066cc.
visitedLinkColor
string
Indicates the foreColor after the link visited. Default is #3399ff.
target
number
Indicates the way that the user opens the hyperlinked document. Default is 0 /* blank */.
drawUnderline
boolean
Indicates whether to draw the underline for the cell have hyperlink. Default is true.
command
string | function
Indicates the behavior when clicking the hyperlink rather than default opening url.
If you type a link to a cell, we also support auto create the hyperlink for you.
There is a option allowAutoCreateHyperlink in spread options.
We support to auto create hyperlink by default.
If you don't like this, you can set allowAutoCreateHyperlink to false.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet, Column } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
const GCsheets = GC.Spread.Sheets;
export function AppFunc() {
let spread = null;
let sheet = null;
let autoGenerateColumns = true;
let initSpread = function (value) {
spread = value;
spread.suspendPaint();
sheet = spread.getActiveSheet();
sheet.setText(1, 1, 'SpreadJS Demo Link');
sheet.setText(2, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForUrl = {};
hyperlinkForUrl.url = 'https://developer.mescius.com/spreadjs/demos';
sheet.setHyperlink(2, 1, hyperlinkForUrl);
sheet.setText(5, 1, 'Link with tooltip');
sheet.setText(6, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForTooltip = {};
hyperlinkForTooltip.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForTooltip.tooltip = 'SpreadJS Demos';
sheet.setHyperlink(6, 1, hyperlinkForTooltip);
sheet.setText(9, 1, 'Change link foreColor');
sheet.setText(10, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForForeColor = {};
hyperlinkForForeColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForForeColor.tooltip = 'SpreadJS Demos';
hyperlinkForForeColor.linkColor = 'red';
sheet.setHyperlink(10, 1, hyperlinkForForeColor);
sheet.setText(13, 1, 'Change link visited color');
sheet.setText(14, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForVisitedColor = {};
hyperlinkForVisitedColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForVisitedColor.tooltip = 'SpreadJS Demos';
hyperlinkForVisitedColor.visitedLinkColor = 'green';
sheet.setHyperlink(14, 1, hyperlinkForVisitedColor);
sheet.setText(17, 1, 'Link without underline');
sheet.setText(18, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkWithoutUnderline = {};
hyperlinkWithoutUnderline.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkWithoutUnderline.tooltip = 'SpreadJS Demos';
hyperlinkWithoutUnderline.drawUnderline = false;
sheet.setHyperlink(18, 1, hyperlinkWithoutUnderline);
spread.resumePaint();
}
let setHyperlinkButtonClicked = function (e) {
spread.suspendPaint();
let hyperlink = {};
hyperlink.url = document.getElementById('hyperlinkURL').value;
hyperlink.tooltip = document.getElementById('tooltip').value;
hyperlink.linkColor = document.getElementById('linkColor').value;
if (hyperlink.linkColor === "") {
hyperlink.linkColor = undefined;
}
hyperlink.visitedLinkColor = document.getElementById('visitedLinkColor').value;
if (hyperlink.visitedLinkColor === "") {
hyperlink.visitedLinkColor = undefined;
}
hyperlink.target = document.getElementById('hyperlinkTarget').value;
hyperlink.drawUnderline = document.getElementById('drawUnderline').checked;
let row = sheet.getActiveRowIndex();
let col = sheet.getActiveColumnIndex();
sheet.setHyperlink(row, col, hyperlink);
sheet.setValue(row, col, hyperlink.tooltip);
spread.resumePaint();
}
let allowAutoCreateHyperlink = function (e) {
spread.suspendPaint();
spread.options.allowAutoCreateHyperlink = e.target.checked;
spread.resumePaint();
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet autoGenerateColumns={autoGenerateColumns}>
</Worksheet>
</SpreadSheets>
</div>
<Panel
allowAutoCreateHyperlink={(e) => { allowAutoCreateHyperlink(e) }}
setHyperlinkButtonClicked={(e) => { setHyperlinkButtonClicked(e) }}
/>
</div>
);
}
class Panel extends Component {
constructor(props) {
super(props);
}
render() {
return (
<div class="options-container">
<strong class="sp-demo-HeaderTitle">Settings:</strong>
<p id="settingString">Set the hyperlink data for a cell:</p>
<fieldset>
<div id="settingsDiv">
<div class="option-row">
<label for="hyperlinkURL">URL:</label>
<input type="text" id="hyperlinkURL" placeholder="https://developer.mescius.com/" />
</div>
<div class="option-row">
<label for="tooltip">Tooltip:</label>
<input type="text" id="tooltip" placeholder="MESCIUS" />
</div>
<div class="option-row">
<label for="linkColor">Link Color:</label>
<input type="text" id="linkColor" placeholder="#0066cc" />
</div>
<div class="option-row">
<label for="visitedLinkColor">Visited Link Color:</label>
<input type="text" id="visitedLinkColor" placeholder="#3399ff" />
</div>
<div class="option-row">
<label for="hyperlinkTarget">Target:</label>
<select id="hyperlinkTarget"
name="hyperlinkTarget">
<option value="0">blank</option>
<option value="1">self</option>
<option value="2">parent</option>
<option value="3">top</option>
</select>
</div>
<div class="option-row">
<label for="drawUnderline">Draw Underline:</label>
<input type="checkbox" id="drawUnderline" />
</div>
<div class="option-row">
<button id="setHyperlinkButton" onClick={(e) => { this.props.setHyperlinkButtonClicked(e) }}>Set Hyperlink</button>
</div>
</div>
</fieldset>
<div id="allowAutoCreateHyperlinkDiv">
<div class="option-row">
<label for="allowAutoCreateHyperlink">Allow auto create hyperlink:</label>
<input id="allowAutoCreateHyperlink" type="checkbox" onChange={(e) => { this.props.allowAutoCreateHyperlink(e) }} />
</div>
</div>
</div>
)
}
}
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet, Column } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
const GCsheets = GC.Spread.Sheets;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.autoGenerateColumns = true;
}
render() {
return(
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet autoGenerateColumns={this.autoGenerateColumns}>
</Worksheet>
</SpreadSheets>
</div>
<Panel
allowAutoCreateHyperlink={(e)=>{this.allowAutoCreateHyperlink(e)}}
setHyperlinkButtonClicked={(e)=>{this.setHyperlinkButtonClicked(e)}}
/>
</div>
);
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
let sheet = spread.getActiveSheet();
this.sheet = sheet;
sheet.setText(1, 1, 'SpreadJS Demo Link');
sheet.setText(2, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForUrl = {};
hyperlinkForUrl.url = 'https://developer.mescius.com/spreadjs/demos';
sheet.setHyperlink(2, 1, hyperlinkForUrl);
sheet.setText(5, 1, 'Link with tooltip');
sheet.setText(6, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForTooltip = {};
hyperlinkForTooltip.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForTooltip.tooltip = 'SpreadJS Demos';
sheet.setHyperlink(6, 1, hyperlinkForTooltip);
sheet.setText(9, 1, 'Change link foreColor');
sheet.setText(10, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForForeColor = {};
hyperlinkForForeColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForForeColor.tooltip = 'SpreadJS Demos';
hyperlinkForForeColor.linkColor = 'red';
sheet.setHyperlink(10, 1, hyperlinkForForeColor);
sheet.setText(13, 1, 'Change link visited color');
sheet.setText(14, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForVisitedColor = {};
hyperlinkForVisitedColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForVisitedColor.tooltip = 'SpreadJS Demos';
hyperlinkForVisitedColor.visitedLinkColor = 'green';
sheet.setHyperlink(14, 1, hyperlinkForVisitedColor);
sheet.setText(17, 1, 'Link without underline');
sheet.setText(18, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkWithoutUnderline = {};
hyperlinkWithoutUnderline.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkWithoutUnderline.tooltip = 'SpreadJS Demos';
hyperlinkWithoutUnderline.drawUnderline = false;
sheet.setHyperlink(18, 1, hyperlinkWithoutUnderline);
spread.resumePaint();
}
setHyperlinkButtonClicked(e) {
this.spread.suspendPaint();
let hyperlink = {};
let sheet = this.sheet;
hyperlink.url = document.getElementById('hyperlinkURL').value;
hyperlink.tooltip = document.getElementById('tooltip').value;
hyperlink.linkColor = document.getElementById('linkColor').value;
if (hyperlink.linkColor === "") {
hyperlink.linkColor = undefined;
}
hyperlink.visitedLinkColor = document.getElementById('visitedLinkColor').value;
if (hyperlink.visitedLinkColor === "") {
hyperlink.visitedLinkColor = undefined;
}
hyperlink.target = document.getElementById('hyperlinkTarget').value;
hyperlink.drawUnderline = document.getElementById('drawUnderline').checked;
let row = sheet.getActiveRowIndex();
let col = sheet.getActiveColumnIndex();
sheet.setHyperlink(row, col, hyperlink);
sheet.setValue(row, col, hyperlink.tooltip);
this.spread.resumePaint();
}
allowAutoCreateHyperlink(e) {
this.spread.suspendPaint();
this.spread.options.allowAutoCreateHyperlink = e.target.checked;
this.spread.resumePaint();
}
componentDidMount() {
let allowAutoCreateHyperlinkElement = document.getElementById('allowAutoCreateHyperlink');
allowAutoCreateHyperlinkElement.checked = true;
}
}
class Panel extends Component{
constructor(props){
super(props);
}
render(){
return(
<div class="options-container">
<strong class="sp-demo-HeaderTitle">Settings:</strong>
<p id="settingString">Set the hyperlink data for a cell:</p>
<fieldset>
<div id="settingsDiv">
<div class="option-row">
<label for="hyperlinkURL">URL:</label>
<input type="text" id="hyperlinkURL" placeholder="https://developer.mescius.com/" />
</div>
<div class="option-row">
<label for="tooltip">Tooltip:</label>
<input type="text" id="tooltip" placeholder="MESCIUS" />
</div>
<div class="option-row">
<label for="linkColor">Link Color:</label>
<input type="text" id="linkColor" placeholder="#0066cc" />
</div>
<div class="option-row">
<label for="visitedLinkColor">Visited Link Color:</label>
<input type="text" id="visitedLinkColor" placeholder="#3399ff" />
</div>
<div class="option-row">
<label for="hyperlinkTarget">Target:</label>
<select id="hyperlinkTarget"
name="hyperlinkTarget">
<option value="0">blank</option>
<option value="1">self</option>
<option value="2">parent</option>
<option value="3">top</option>
</select>
</div>
<div class="option-row">
<label for="drawUnderline">Draw Underline:</label>
<input type="checkbox" id="drawUnderline" />
</div>
<div class="option-row">
<button id="setHyperlinkButton" onClick={(e)=>{this.props.setHyperlinkButtonClicked(e)}}>Set Hyperlink</button>
</div>
</div>
</fieldset>
<div id="allowAutoCreateHyperlinkDiv">
<div class="option-row">
<label for="allowAutoCreateHyperlink">Allow auto create hyperlink:</label>
<input id="allowAutoCreateHyperlink" type="checkbox" onChange={(e)=>{this.props.allowAutoCreateHyperlink(e)}} />
</div>
</div>
</div>
)
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-container legend {
text-align: center;
}
.option-row {
font-size: 14px;
padding: 5px;
}
input {
display:block;
width: 100%;
margin: 8px 0;
box-sizing: border-box;
}
label, input {
padding: 4px 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
#drawUnderline {
display: inline-block;
width: 30px;
}
#drawUnderlineLabel {
display: inline-block;
}
#allowAutoCreateHyperlink {
display: inline-block;
width: 30px;
}
#setHyperlinkButton {
font-weight: bold;
background-color: #ecf3ff;
width: 200px;
height: 35px;
border-radius: 4px;
border-color: #0b93d5;
border-width: thin;
}
#settingsDiv {
margin-top: "10px"
}
#settingString {
padding:"2px 10px
}
#allowAutoCreateHyperlinkDiv {
margin-top: "10px"
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'cdn:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

For quick access to related information in another file or on a web page, you can insert a hyperlink in a worksheet cell.
You can set hyperlink by using setHyperlink, for example:
If you want to get the hyperlink data of a cell, you can use getHyperlink, for example:
The hyperlink has these keys:
Key
Value Type
Explain
url
string
Indicates the location that the hyperlink points to. Our hyperlink supports many protocols, such as: http/https/ftp/file/mailto... Besides, we also support url start with "sjs://" which referer to a worksheet location.
tooltip
string
Indicates the tooltip message which shows when hovering over the cell with a hyperlink.
linkColor
string
Indicates the foreColor before the link visited. Default is #0066cc.
visitedLinkColor
string
Indicates the foreColor after the link visited. Default is #3399ff.
target
number
Indicates the way that the user opens the hyperlinked document. Default is 0 /* blank */.
drawUnderline
boolean
Indicates whether to draw the underline for the cell have hyperlink. Default is true.
command
string | function
Indicates the behavior when clicking the hyperlink rather than default opening url.
If you type a link to a cell, we also support auto create the hyperlink for you.
There is a option allowAutoCreateHyperlink in spread options.
We support to auto create hyperlink by default.
If you don't like this, you can set allowAutoCreateHyperlink to false.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
autoGenerateColumns = false;
dataSource: any[];
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread
spread.suspendPaint();
let sheet = spread.getActiveSheet();
sheet.setText(1, 1, 'SpreadJS Demo Link');
sheet.setText(2, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForUrl = {};
hyperlinkForUrl.url = 'https://developer.mescius.com/spreadjs/demos';
sheet.setHyperlink(2, 1, hyperlinkForUrl);
sheet.setText(5, 1, 'Link with tooltip');
sheet.setText(6, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForTooltip = {};
hyperlinkForTooltip.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForTooltip.tooltip = 'SpreadJS Demos';
sheet.setHyperlink(6, 1, hyperlinkForTooltip);
sheet.setText(9, 1, 'Change link foreColor');
sheet.setText(10, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForForeColor = {};
hyperlinkForForeColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForForeColor.tooltip = 'SpreadJS Demos';
hyperlinkForForeColor.linkColor = 'red';
sheet.setHyperlink(10, 1, hyperlinkForForeColor);
sheet.setText(13, 1, 'Change link visited color');
sheet.setText(14, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkForVisitedColor = {};
hyperlinkForVisitedColor.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkForVisitedColor.tooltip = 'SpreadJS Demos';
hyperlinkForVisitedColor.visitedLinkColor = 'green';
sheet.setHyperlink(14, 1, hyperlinkForVisitedColor);
sheet.setText(17, 1, 'Link without underline');
sheet.setText(18, 1, 'https://developer.mescius.com/spreadjs/demos');
let hyperlinkWithoutUnderline = {};
hyperlinkWithoutUnderline.url = 'https://developer.mescius.com/spreadjs/demos';
hyperlinkWithoutUnderline.tooltip = 'SpreadJS Demos';
hyperlinkWithoutUnderline.drawUnderline = false;
sheet.setHyperlink(18, 1, hyperlinkWithoutUnderline);
spread.resumePaint();
}
setHyperlinkButtonClicked($event: any) {
this.spread.suspendPaint();
let hyperlink = {};
let sheet = this.spread.sheets[0];
hyperlink.url = document.getElementById('hyperlinkURL').value;
hyperlink.tooltip = document.getElementById('tooltip').value;
hyperlink.linkColor = document.getElementById('linkColor').value;
if (hyperlink.linkColor === "") {
hyperlink.linkColor = undefined;
}
hyperlink.visitedLinkColor = document.getElementById('visitedLinkColor').value;
if (hyperlink.visitedLinkColor === "") {
hyperlink.visitedLinkColor = undefined;
}
hyperlink.target = document.getElementById('hyperlinkTarget').value;
hyperlink.drawUnderline = document.getElementById('drawUnderline').checked;
let row = sheet.getActiveRowIndex();
let col = sheet.getActiveColumnIndex();
sheet.setHyperlink(row, col, hyperlink);
sheet.setValue(row, col, hyperlink.tooltip);
this.spread.resumePaint();
}
allowAutoCreateHyperlink($event: any) {
this.spread.suspendPaint();
this.spread.options.allowAutoCreateHyperlink = $event.target.checked;
this.spread.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet [autoGenerateColumns]='autoGenerateColumns'>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<strong class="sp-demo-HeaderTitle">Settings:</strong>
<p id="settingString">Set the hyperlink data for a cell:</p>
<fieldset>
<div id="settingsDiv">
<div class="option-row">
<label for="hyperlinkURL">URL:</label>
<input type="text" id="hyperlinkURL" placeholder="https://developer.mescius.com/" />
</div>
<div class="option-row">
<label for="tooltip">Tooltip:</label>
<input type="text" id="tooltip" placeholder="MESCIUS" />
</div>
<div class="option-row">
<label for="linkColor">Link Color:</label>
<input type="text" id="linkColor" placeholder="#0066cc" />
</div>
<div class="option-row">
<label for="visitedLinkColor">Visited Link Color:</label>
<input type="text" id="visitedLinkColor" placeholder="#3399ff" />
</div>
<div class="option-row">
<label for="hyperlinkTarget">Target:</label>
<select id="hyperlinkTarget"
name="hyperlinkTarget">
<option value="0">blank</option>
<option value="1">self</option>
<option value="2">parent</option>
<option value="3">top</option>
</select>
</div>
<div class="option-row">
<label for="drawUnderline">Draw Underline:</label>
<input type="checkbox" id="drawUnderline" />
</div>
<div class="option-row">
<button id="setHyperlinkButton" (click)="setHyperlinkButtonClicked($event)">Set Hyperlink</button>
</div>
</div>
</fieldset>
<div id="allowAutoCreateHyperlinkDiv">
<div class="option-row">
<label for="allowAutoCreateHyperlink">Allow auto create hyperlink:</label>
<input id="allowAutoCreateHyperlink" type="checkbox" (change)="allowAutoCreateHyperlink($event)" />
</div>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-container legend {
text-align: center;
}
.option-row {
font-size: 14px;
padding: 5px;
}
input {
display:block;
width: 100%;
margin: 8px 0;
box-sizing: border-box;
}
label, input {
padding: 4px 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
#drawUnderline {
display: inline-block;
width: 30px;
}
#drawUnderlineLabel {
display: inline-block;
}
#allowAutoCreateHyperlink {
display: inline-block;
width: 30px;
}
#setHyperlinkButton {
font-weight: bold;
background-color: #ecf3ff;
width: 200px;
height: 35px;
border-radius: 4px;
border-color: #0b93d5;
border-width: thin;
}
#settingsDiv {
margin-top: "10px"
}
#settingString {
padding:"2px 10px
}
#allowAutoCreateHyperlinkDiv {
margin-top: "10px"
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
// map tells the System loader where to look for things
map: {
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'cdn:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);